Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Interface Expression

All Known Subinterfaces:
  Criteria, Logical

All Known Implementing Classes:
  ExpressionImpl

Deprecated. Use `Expression` instead.

public interface Expression
extends java.lang.Comparable, java.lang.Cloneable, java.io.Serializable

An Expression represent a comparision expression.

The Expression interface is supposed to be abstract. The only instances of Expressions should be either Criterias or Logicals.

Attribute: not

- Containment: By Value
- Multiplicity: 1:1
- This specifies whether this is an negative expression or not.

See Also:
  `ExpressionHome`, `ExpressionImpl`, `ExpressionHelper`

Method Summary
`boolean` | `getNot()` Deprecated. Get the value of not
`java.lang.String` | `interfaceName()` Deprecated. Get the interface name.
`void` | `setByValue(java.lang.Object val)` Deprecated. Set this object.
`void` | `setNot(boolean not)` Deprecated. Set the value of not
`java.lang.String` | `toString()` Deprecated. Render the expression as a string.
`java.lang.Object` | `value()` Deprecated. Get a value object initialized from this.
`void` | `valueOf(java.lang.String searchExpression)` Deprecated. Populate this Expression from the specified expression string.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### value

    public java.lang.Object value()

  Deprecated.
  Get a value object initialized from this.

### setByValue

    public void setByValue(java.lang.Object val)

  Deprecated.
  Set this object.

### interfaceName

    public java.lang.String interfaceName()

  Deprecated.
  Get the interface name.

### getNot

    public boolean getNot()

  Deprecated.
  Get the value of not

### setNot

    public void setNot(boolean not)

  Deprecated.
  Set the value of not

### toString

    public java.lang.String toString()

  Deprecated.
  Render the expression as a string.

  This will convert the expression to the query syntax form as specified by ExpressionHelper.

  Overrides:
    toString in class java.lang.Object
  See Also:
    `ExpressionHelper`

### valueOf

    public void valueOf(java.lang.String searchExpression)

  Deprecated.
  Populate this Expression from the specified expression string.

  Throws:
    java.lang.IllegalArgumentException - thrown on an invalid expression string.
  See Also:
    `ExpressionHelper.parse(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved